.pick-area{display:block;position:relative;font-size:14px;background:#fff;text-decoration: none;cursor:default;}

.pick-show{position:relative;padding:0 8px;height:48px;line-height:48px;border:1px solid #ddd;border-radius: 4px;}
.pick-show span{float:left;display:inline-block;max-width:100px;height:46px;line-height:46px;padding: 0 3px;overflow: hidden;text-overflow:ellipsis;white-space: nowrap;color:#333;cursor:pointer;}
.pick-show span:hover{color:#1667ff;border-radius:4px;}
.pick-show span.pressActive{background:#fff;color:#333;border-radius:4px}
.pick-show em.pick-arrow{position:absolute;top:20px;right:8px;display: block;border:6px solid #999;border-left:6px solid transparent;border-right:6px solid transparent;border-bottom:6px solid transparent;}
.pick-show i{float:left;display:inline-block;padding:0 3px;color:#333;font-style:normal;}

.pick-list{display:none;position:absolute;line-height:36px;margin:0;padding:0;background:#fff;z-index:999999999;overflow-y:auto;overflow-x:hidden;border:1px solid #dedede;border-top:none;}
.pick-list li{margin:0;padding-left:8px;list-style: none;color:#333;overflow: hidden;text-overflow:ellipsis;white-space: nowrap;}
.pick-list li:hover{color:#fff;}

/* 响应式设计 */
        @media (max-width: 768px) {
            .pick-area{
                 width: 100% !important;
            }
            .pick-list {
                width: 100% !important;
            }
        }